/* PhotoOrganizer 
 * Copyright (C) 1999 Dmitry Rogatkin.  All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 */
package photoorganizer.formats;

public class Rational {
    int num, den;
    public Rational(int num, int den) {
	this.num = num;
	this.den = den;
    }

    public Rational(float value) {
        den = 1000;
        num = (int)(value*(new Integer(den).floatValue()));
    }

    public String toString() {
	return ""+num+"/"+den;
    }

    public float floatValue() {
        return (float) num / den;
    }

    public int intValue() {
        return (int) num / den;
    }

    public void normalize() {

    }
}