/* PhotoOrganizer 
 * Copyright (C) 1999 Dmitry Rogatkin.  All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 */
package photoorganizer.renderer;

import javax.swing.*;
import java.awt.event.*;
import photoorganizer.*;

public class FastMenu extends JPopupMenu {
    public FastMenu(ActionListener listener) {
        JMenuItem item;
        add(item = new JMenuItem(Resources.MENU_SHOW));
        item.addActionListener(listener);
        addSeparator();
        add(item = new JMenuItem(Resources.MENU_ADDTOCOLLECT));
        item.addActionListener(listener);
	add(item = new JMenuItem(Resources.MENU_ADDTOALBUM));
	item.addActionListener(listener);
        addSeparator();
        add(item = new JMenuItem(Resources.MENU_RENAME));
        item.addActionListener(listener);
        add(item = new JMenuItem(Resources.MENU_DELETE));
        item.addActionListener(listener);
        addSeparator();
        add(item = new JMenuItem(Resources.MENU_PROPERTIES));
        item.addActionListener(listener);
        addSeparator();
        add(item = new JMenuItem(Resources.MENU_PRINT));
        item.addActionListener(listener);
    }
}